/* GCC and SAS/C compatible regargs

   Written by Harry "Piru" Sintonen, Jan 2000.
   Public Domain.
*/

#ifndef MYREGARGS_H
#define MYREGARGS_H

#ifdef __GNUC__
#  define ASM
#  define REGd0 "d0"
#  define REGd1 "d1"
#  define REGd2 "d2"
#  define REGd3 "d3"
#  define REGd4 "d4"
#  define REGd5 "d5"
#  define REGd6 "d6"
#  define REGd7 "d7"
#  define REGa0 "a0"
#  define REGa1 "a1"
#  define REGa2 "a2"
#  define REGa3 "a3"
#  define REGa4 "a4"
#  define REGa5 "a5"
#  define REGa6 "a6"
#  define REGa7 "a7"
#  define REGsp "a7"
#  define REG(reg,type) type __asm(REG ## reg) 
#else
#  ifdef __SASC
#    define ASM __asm
#    define REG(reg,type) register __ ##reg type
#  else
#    error unknown compiler, GNUC and SASC supported
#  endif /* __SASC */
#endif /* __GNUC__ */

#endif /* MYREGARGS_H */
